<!DOCTYPE html>
<html>
<head>
<meta charset="ISO-8859-1">
<title>Insert title here</title>
</head>
<body>
	<form action="javascript:login()">
	<input name="key" type="text" id='log' value="" />
	<input name="pass" type="password" id='pass'/>
	<input type="submit" value="envoyer">
	</form>
</body>
</html>
<script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
<script type="text/javascript">
env = new Object();

	function makeMainPanel(id,login){
		$('title').html('mon log');
		$('body').html('connecté <button onclick="clk()">deco</button> <button');
		
	}
	//lcjslcjsmkclsjcl
	function login() {
		var inpseudo = $('#log').val();
		var inpass=$('#pass').val();
		console.log($('#log').val());
		$.ajax({
			url: 'login',
			type: 'post',
			dataType: 'json',
			data: {login : inpseudo,pass : inpass},
			success : function (rep) {
				saveLogin(rep,inpseudo);
			}
		})
	}
	function saveLogin(rep,pseudo) {
		if (rep.Status == 'KO') {
			alert(rep.error);
		}
		else if (rep.Status == 'OK') {
			env.myLogin = pseudo;
			env.myId = rep.id;
			env.key = rep.key;
			makeMainPanel();
		}
	}
	function clk(){
		logout();
	}
	function logout() {
		$.ajax({
			url: 'logout',
			type: 'post',
			dataType: 'json',
			data: {key : env.key},
			success : function (rep) {
				saveLogout(rep);
			}
		})
	}

	function saveLogout(rep) {
		if (rep.Status == 'KO') {
			alert(rep.error);
		}
		else if (rep.Status == 'OK') {
			alert("c'est fini");
			env.myLogin = undefined;
			env.myId = undefined;
			env.key = undefined;
			makeMainPanel();
			$('body').html("deconecté");
		}
	}
</script>